package com.YuyeTech.HeartRate.game.gameInfo.service;

import com.YuyeTech.HeartRate.common.service.CommonService;
import com.YuyeTech.HeartRate.game.gameInfo.projo.GamePicture;
import com.YuyeTech.HeartRate.game.gameInfo.vo.GamePictureVo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author:slambb
 * @date:2020/6/24
 */
public interface GamePictureService  extends CommonService<GamePictureVo, GamePicture, Integer> {
    GamePicture addGamePicture(GamePicture gamePicture);

    void deleteGamePictureByGpId(Integer gpId);

    void deleteAllByTypeAndGameId(Integer type, String gameId);

    Page<GamePicture> findGamePictureByGameId(String gameId, Pageable pageable);

    GamePicture findByGameIdAndType(Integer type, String gameId);


    List<Integer> findGamePictureIDList(String gameId);
}
